org.eclipse.ease.lang.javascript.rhino.debugger.model

## Class RhinoDebugModelPresentation

- java.lang.Object
- - org.eclipse.ease.lang.javascript.rhino.debugger.model.RhinoDebugModelPresentation

All Implemented Interfaces:
  IDebugModelPresentation, ISourcePresentation, IBaseLabelProvider, ILabelProvider

    public class RhinoDebugModelPresentation
    extends Object
    implements IDebugModelPresentation

### Field Summary

### Fields inherited from interface org.eclipse.debug.ui.IDebugModelPresentation

`DISPLAY_VARIABLE_TYPE_NAMES`

### Constructor Summary

Constructors
Constructor and Description
`RhinoDebugModelPresentation()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `addListener(ILabelProviderListener listener)`
`void` `computeDetail(IValue value, IValueDetailListener listener)`
`void` `dispose()`
`String` `getEditorId(IEditorInput input, Object element)`
`IEditorInput` `getEditorInput(Object element)`
`Image` `getImage(Object element)`
`String` `getText(Object element)`
`boolean` `isLabelProperty(Object element, String property)`
`void` `removeListener(ILabelProviderListener listener)`
`void` `setAttribute(String attribute, Object value)`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### RhinoDebugModelPresentation

    public RhinoDebugModelPresentation()

### Method Detail

#### setAttribute

    public void setAttribute(String attribute,
                             Object value)

Specified by:
  `setAttribute` in interface `IDebugModelPresentation`

#### getText

    public String getText(Object element)

Specified by:
  `getText` in interface `IDebugModelPresentation`
Specified by:
  `getText` in interface `ILabelProvider`

#### computeDetail

    public void computeDetail(IValue value,
                              IValueDetailListener listener)

Specified by:
  `computeDetail` in interface `IDebugModelPresentation`

#### addListener

    public void addListener(ILabelProviderListener listener)

Specified by:
  `addListener` in interface `IBaseLabelProvider`

#### dispose

    public void dispose()

Specified by:
  `dispose` in interface `IBaseLabelProvider`

#### isLabelProperty

    public boolean isLabelProperty(Object element,
                                   String property)

Specified by:
  `isLabelProperty` in interface `IBaseLabelProvider`

#### removeListener

    public void removeListener(ILabelProviderListener listener)

Specified by:
  `removeListener` in interface `IBaseLabelProvider`

#### getEditorInput

    public IEditorInput getEditorInput(Object element)

Specified by:
  `getEditorInput` in interface `ISourcePresentation`

#### getEditorId

    public String getEditorId(IEditorInput input,
                              Object element)

Specified by:
  `getEditorId` in interface `ISourcePresentation`

#### getImage

    public Image getImage(Object element)

Specified by:
  `getImage` in interface `IDebugModelPresentation`
Specified by:
  `getImage` in interface `ILabelProvider`